Rubyのバージョンをアップデートした際の rmagick-2.15.2/RMagick2.so (LoadError)

Shunsuke Sawada

rbenv install 2.2.2 とかやってRubyをアップデートしたらサーバー起動の時になんだか怒られました。
なんだかなと思ってググった結果。

エラーはこんなの。

1
/home/vagrant/.rbenv/versions/2.2.2/lib/ruby/gems/2.2.0/gems/rmagick-2.15.2/lib/rmagick_internal.rb:12:in `require': libMagickCore.so.2: cannot open shared object file: No such file or directory - /home/vagrant/.rbenv/versions/2.2.2/lib/ruby/gems/2.2.0/extensions/x86_64-linux/2.2.0-static/rmagick-2.15.2/RMagick2.so (LoadError)

  
原因はシンボリックリンクなのかと思ったけど、このコマンドで直った。

1
$ gem pristine rmagick

  
以上です。

参考

Library not loaded: /usr/local/lib/libMagickCore.4.dylib (LoadError) · Issue #9 · mroth/lolcommits

Shunsuke Sawada

おすすめの記事

Railsを4.2にバージョンアップしたら、Vagrantのローカル開発環境にアクセスできなくなった問題
Railsのバリデーションエラー後にレイアウトが崩れるとき
acts-as-taggable-on タグを表示させる順番を決めたい